From 96ad7191c56095a8a2fade1e4b48ecd730d30363 Mon Sep 17 00:00:00 2001
From: Pierre Ozoux <pierre@ozoux.net>
Date: Fri, 24 Sep 2021 18:47:34 +0200
Subject: [PATCH] Adds migration to update all only-office.

---
 migrations/update-oo.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 migrations/update-oo.sh

diff --git a/migrations/update-oo.sh b/migrations/update-oo.sh
new file mode 100644
index 0000000..54c74c7
--- /dev/null
+++ b/migrations/update-oo.sh
@@ -0,0 +1,17 @@
+#!/bin/bash -eux
+
+# Verify they are all in sync with git, if not, print the domain name.
+for oo  in `ls -d ./oo-*`;do
+  cd $oo
+  if ! git diff --exit-code --quiet; then
+    echo $oo
+  fi
+  cd ..
+done
+
+# Update all oo
+for oo  in `ls -d ./oo-*`;do
+  cd $oo
+  libre update
+  cd ..
+done
-- 
GitLab